FLAC::Metadata::Iterator Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata level 2 interface

`#include <metadata.h>`

## Public Member Functions

bool | is_valid () const
void | init (Chain &chain)
bool | next ()
bool | prev ()
::FLAC__MetadataType | get_block_type () const
Prototype * | get_block ()
bool | set_block (Prototype *block)
bool | delete_block (bool replace_with_padding)
bool | insert_block_before (Prototype *block)
bool | insert_block_after (Prototype *block)

## Protected Member Functions

virtual void | clear ()

## Protected Attributes

::FLAC__Metadata_Iterator * | iterator_

## Detailed Description

This class is a wrapper around the FLAC__metadata_iterator structures and methods; see the usage guide and FLAC__Metadata_Iterator.

## Member Function Documentation

## is_valid()

bool FLAC::Metadata::Iterator::is_valid | ( |  | ) | const

Returns `true` iff object was properly constructed.

## init()

void FLAC::Metadata::Iterator::init | ( | Chain & | chain | ) |

See FLAC__metadata_iterator_init().

## next()

bool FLAC::Metadata::Iterator::next | ( |  | ) |

See FLAC__metadata_iterator_next().

## prev()

bool FLAC::Metadata::Iterator::prev | ( |  | ) |

See FLAC__metadata_iterator_prev().

## get_block_type()

::FLAC__MetadataType FLAC::Metadata::Iterator::get_block_type | ( |  | ) | const

See FLAC__metadata_iterator_get_block_type().

## get_block()

Prototype* FLAC::Metadata::Iterator::get_block | ( |  | ) |

See FLAC__metadata_iterator_get_block().

## set_block()

bool FLAC::Metadata::Iterator::set_block | ( | Prototype * | block | ) |

See FLAC__metadata_iterator_set_block().

## delete_block()

bool FLAC::Metadata::Iterator::delete_block | ( | bool | replace_with_padding | ) |

See FLAC__metadata_iterator_delete_block().

## insert_block_before()

bool FLAC::Metadata::Iterator::insert_block_before | ( | Prototype * | block | ) |

See FLAC__metadata_iterator_insert_block_before().

## insert_block_after()

bool FLAC::Metadata::Iterator::insert_block_after | ( | Prototype * | block | ) |

See FLAC__metadata_iterator_insert_block_after().

The documentation for this class was generated from the following file:

- /build/jenkins/v2016.12/machine/hikey/build/tmp-angstrom-glibc/work/aarch64-angstrom-linux/flac/1.3.1-r0/flac-1.3.1/include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |